Loading...
Searching...
No Matches
CodeGen_LLVM.h File Reference

Defines the base-class for all architecture-specific code generators that use llvm. More...

`#include <map>`
`#include <memory>`
`#include <optional>`
`#include <string>`
`#include <variant>`
`#include <vector>`
`#include "IRVisitor.h"`
`#include "Module.h"`
`#include "Scope.h"`
`#include "Target.h"`

Go to the source code of this file.

## Classes

class | Halide::Internal::CodeGen_LLVM
| A code generator abstract base class. More...
struct | Halide::Internal::CodeGen_LLVM::ScopedFastMath
| If any_strict_float is true, sets fast math flags for the lifetime of this object, then sets them to strict on destruction. More...
struct | Halide::Internal::CodeGen_LLVM::Intrinsic
| Description of an intrinsic function overload. More...
struct | Halide::Internal::CodeGen_LLVM::VPArg
| Support for generating LLVM vector predication intrinsics ("@llvm.vp.*" and "@llvm.experimental.vp.*"). More...
struct | Halide::Internal::CodeGen_LLVM::NoMask
| Type indicating an intrinsic does not take a mask. More...
struct | Halide::Internal::CodeGen_LLVM::AllEnabledMask
| Type indicating mask to use is all true – all lanes enabled. More...
struct | Halide::Internal::CodeGen_LLVM::VPResultType

## Namespaces

namespace | llvm
namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

std::unique_ptr< llvm::Module > | Halide::codegen_llvm (const Module &module, llvm::LLVMContext &context)
| Given a Halide module, generate an llvm::Module.

## Detailed Description

Defines the base-class for all architecture-specific code generators that use llvm.

Definition in file CodeGen_LLVM.h.